import { Type } from '@angular/core';
import { Widget } from './widget';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
import { GroupHeaderComponent } from '../../../sculptor-lib/widgets/group-header/group-header.component';
export declare class GroupHeader extends Widget {
    component: Type<GroupHeaderComponent>;
    value: string;
    prompt: string;
    helpText: string;
    isStickyGroup: boolean;
    header_mode: string;
    subType: string;
    ghSubType: string;
    dependents: [];
    markup: '';
    validityDependents: [];
    initialDisplayMode: string;
    name: string;
    constructor(field?: Widget);
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    newGroupHeader(): void;
    /**function to create Date-Time object with existing values
    *
    *@param field
    *
    */
    groupHeader(field: any): void;
    createValidators(): void;
    /**
     * Create FormControl for widget
     */
    createFormControl(): void;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
